﻿$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url = 'https://aka.ms/download-jdk/microsoft-jdk-11.0.23-windows-x64.msi'
$checksum = '6e1810b106792242a95d25e95e3e79f9522f9c88b4d6b5d74fe8950dda951801'

$packageArgs = @{
    PackageName = $env:ChocolateyPackageName
    Url64bit = $url
    Checksum64 = $checksum
    ChecksumType64 = 'sha256'
    fileType      = 'msi'
    silentArgs    = "INSTALLLEVEL=3 /quiet"
  }
  
Install-ChocolateyPackage @packageArgs
